Description

ATM, when copying an issue A to an issue B, the user can choose between 2 statuses :

- The status from A   (which is selected by default)

- The default status of current tracker from B

But this can lead to problems :

- B may be in a status that the user can't interact with

- It allows user to skip parts of a workflow

- (Specific) This leads to unintended cases, which mess up things like external data exports or billing

They can manually change the status of B during the copy, but from my experience, they don't (the status is reset on about 10% of

copied issues only)

This behaviour should be set in the Administration panel.

The patch is attached, and here's the corresponding commit : 

https://github.com/vincent-clipet/redmine/commit/45335d4e9e7d7d4aa89dbc282c52dc1b0368b116

It adds a configuration setting (reset_issue_status_on_copy). When checked, all copied issues statuses are forced to the default

status of the current tracker.

This fixes :

#17576

#10601

#1551

#10348 (Partially)

#16230 (Partially)

Related issues:

Related to Redmine - Defect #10348: Wrong issue statuses assignment during is... Closed

Related to Redmine - Feature #10460: Option to copy watchers when copying issues Closed

Related to Redmine - Defect #21021: Copying a Redmine issue does not allow ch... Closed

Has duplicate Redmine - Feature #17576: Ability to choose, in administration ... Closed 2008-06-30

Associated revisions

Revision 16451 - 2017-04-03 12:30 - Jean-Philippe Lang

Reset status when copying issues (#23610).

History

#1 - 2016-08-30 23:57 - Jean-Philippe Lang

- Target version set to 3.4.0

#2 - 2016-08-31 13:38 - Fernando Hartmann

+1 this, and for, applying to the copied subtasks the same behavior.

Explaining, when copying a issue that has subtask, the reset status behavior should be applied tho the new subtask too.

#3 - 2016-09-04 03:28 - Go MAEDA

- Has duplicate Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues added
#4 - 2016-09-04 03:39 - Go MAEDA

- Description updated

#5 - 2016-09-04 13:37 - Toshi MARUYAMA

- Related to Defect #10348: Wrong issue statuses assignment during issue copy added

#6 - 2016-09-04 13:43 - Toshi MARUYAMA

- Related to Feature #10460: Option to copy watchers when copying issues added

#7 - 2017-04-03 12:32 - Jean-Philippe Lang

- Subject changed from Add setting to reset an issue status when copying from another one to Reset status when copying issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Change done in r16451. Status is now reset when copying issues.

No setting was added, if you want to let user copy issues with their original status, it should be allowed by workflow transitions.

#8 - 2017-05-27 06:05 - Go MAEDA

- Related to Defect #21021: Copying a Redmine issue does not allow change of Status added

Files

0001-ADD-Config-option-for-resetting-the-status-when-copy.patch 3.43 KB 2016-08-18 Vincent C.
